org.apache.commons.math.exception

## Class NumberIsTooLargeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math.exception.MathIllegalArgumentException
          - - org.apache.commons.math.exception.MathIllegalNumberException
            - - org.apache.commons.math.exception.NumberIsTooLargeException

All Implemented Interfaces:
  java.io.Serializable, MathThrowable

    public class NumberIsTooLargeException
    extends MathIllegalNumberException

Exception to be thrown when a number is too large.

Since:
  2.2
Version:
  $Revision$ $Date$
See Also:
  Serialized Form

### Field Summary

Fields
`private boolean` `boundIsAllowed` Whether the maximum is included in the allowed range.
`private java.lang.Number` `max` Higher bound.
`private static long` `serialVersionUID` Serializable version Id.

### Constructor Summary

Constructors
Constructor and Description
`NumberIsTooLargeException(Localizable specific, java.lang.Number wrong, java.lang.Number max, boolean boundIsAllowed)` Construct the exception with a specific context.
`NumberIsTooLargeException(java.lang.Number wrong, java.lang.Number max, boolean boundIsAllowed)` Construct the exception.

### Method Summary

Methods
`boolean` `getBoundIsAllowed()`
`java.lang.Number` `getMax()`

### Methods inherited from class org.apache.commons.math.exception.MathIllegalNumberException

`getArgument`

### Methods inherited from class org.apache.commons.math.exception.MathIllegalArgumentException

`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getSpecificPattern`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version Id.

See Also:
  Constant Field Values

#### max

    private final java.lang.Number max

Higher bound.

#### boundIsAllowed

    private final boolean boundIsAllowed

Whether the maximum is included in the allowed range.

### Constructor Detail

#### NumberIsTooLargeException

    public NumberIsTooLargeException(java.lang.Number wrong,
                             java.lang.Number max,
                             boolean boundIsAllowed)

Construct the exception.

Parameters:
  `wrong` - Value that is larger than the maximum.
  `max` - maximum.
  `boundIsAllowed` - if true the maximum is included in the allowed range.

#### NumberIsTooLargeException

    public NumberIsTooLargeException(Localizable specific,
                             java.lang.Number wrong,
                             java.lang.Number max,
                             boolean boundIsAllowed)

Construct the exception with a specific context.

Parameters:
  `specific` - Specific contexte pattern .
  `wrong` - Value that is larger than the maximum.
  `max` - maximum.
  `boundIsAllowed` - if true the maximum is included in the allowed range.

### Method Detail

#### getBoundIsAllowed

    public boolean getBoundIsAllowed()

Returns:
  `true` if the maximum is included in the allowed range.

#### getMax

    public java.lang.Number getMax()

Returns:
  the maximum.